
#define _XOPEN_SOURCE_EXTENDED 1 // for cchar_t and wcval

#include <ncurses.h>
#include <stdlib.h>
#include <errno.h>
#include <wchar.h>
#include <stdio.h>
#include <locale.h>


int main(int argv, char *argc[])
{
  wchar_t ncursesw_setcchar_init_string[2];
  cchar_t wcval;
  int e1, e2;

  setlocale(LC_ALL, "");

  ncursesw_setcchar_init_string[1] = 0;
  ncursesw_setcchar_init_string[0] = 0xe4;

  initscr(); cbreak();

  if ((setcchar(&wcval, ncursesw_setcchar_init_string, 0, 0, NULL)) != OK)
    exit(-1);
  e1 = errno;
  if ((echo_wchar(&wcval)) != OK)
    exit(-1);
  e2 = errno;
  printw("\ne1: %d, e2: %d\n", e1, e2);
  refresh();

  getch(); endwin(); return 0;
}

